---
title: "Get a fetch job"
slug: "get-a-fetch-job"
abstract: ""
---
# Get a fetch job

```html
GET /api/fetchjobs/:fetchJobId

```

Replace these placeholders:

| placeholder | description |
| --- | --- |
| `:fetchJobId` | the `id` of the fetch job that needs to be returned. |

## Response

| Response | Description |
| --- | --- |
| `200 Ok` | Returns the fetch job in the body if it was found |

## Response examples

```json
Status: 200 Ok

{
  "file_count": 1,
  "files_completed": 0,
  "files": {
    "href": "/fetchjobs/6790/files{?skip,take}",
    "title": "This job's files",
    "templated": true
  },
  "id": 6790,
  "owner": null,
  "state_description": "One of the targets failed",
  "state": "Completed",
  "condition": "Failure",
  "created_on": "2018-02-26T12:`49:28`.9493912Z",
  "created_by": {
    "href": "/entities/6",
    "title": "The user who created the entity"
  },
  "modified_on": "2018-02-26T12:`50:43`.5040362Z",
  "modified_by": {
    "href": "/entities/6",
    "title": "The user who last modified the entity"
  },
  "started_on": "2018-02-26T12:`50:42`.0146289Z",
  "completed_on": "2018-02-26T12:`50:43`.4950386Z",
  "self": {
    "href": "/fetchjobs/6790",
    "title": "This fetch job"
  }
}

```